Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě čte: 5167 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum

NápovědaCAD diskuze

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit a dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Suradnice bodov autoLISP pomoc

 Odpovědět Odpovědět archiv
Autor
majo6541 Zobrazit panel
Nováček
Nováček
Avatar

Přihlášen: 13.říj.2014
Lokalita: Slovakia
Používám:
autoCAD2014
Stav: Offline
Bodů: 2
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace majo6541 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Suradnice bodov autoLISP pomoc
    Zasláno: 21.lis.2017 v 11:49
Dobrý deň

Potreboval by som pomoc s jedným LISP suborom. A to konkretne Suradnice bodov.
Kedže moje znalosti nie sú rozsiahle potreboval by som pomoc.

Užívateľ v Autocade zadá suradnice bodov. Okrem toho ze bod vykresli tak pri kazdom bode vypise jeho poradove cislo X a Y súradnice. 

Dakujem Smile
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
AutoCAD Civil 3D 2016
Stav: Offline
Bodů: 1141
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace johny Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 21.lis.2017 v 14:33
Původně odeslal(a) majo6541 majo6541 napsal(a):

...
Potreboval by som pomoc s jedným LISP suborom. ...
Kedže moje znalosti nie sú rozsiahle potreboval by som pomoc.
...

Možná byste chtěl začít znovu a pravdivěji. Nebo opravdu chcete jen napomoct? Dát nápovědu a chytnete se?

Edit: Netuším proč nemáte odvahu něco napsat... diskusi evidentně sledujete, nikdo vás soudit nebude. Ale budiž. 

Takovýchto prográmků kolují po netu desítky, stačí trochu googlit. A jsou velmi jednoduché, i začátečník by je napsal... Tak jsem něco nahodil... Když na to kouknete, tak si to pomocí komentářů (středníkem) můžete upravit, že buď to budete labelovat mleaderem nebo mtextem, no a ten buď umísťovat ručně nebo automaticky. 

(defun c:PointLabel (/ pnt txt)
  
  (or *pl-n*
      (setq *pl-n* 1))
  
  (if (setq *pl-n* (cond ((getint (strcat "\nStart with <" (itoa *pl-n*) ">:" )))
(*pl-n*)))
    (while (setq pnt (getpoint (strcat"\rPlace point no. " (itoa *pl-n*) ": ")))
      (setq pnt (trans pnt 1 0)
    txt (strcat (itoa *pl-n*)
"\n"
(rtos (car pnt) 2 3)
"\n"
(rtos (car pnt) 2 3)))

      (entmakex (list (cons 0 "POINT")
      (cons 10 pnt)))
      (entmakex (list (cons 0 "MTEXT")
      (cons 100 "AcDbEntity")
      (cons 100 "AcDbMText")
      (cons 10

;;;     MTEXT poloha automaticky
    ;(polar pnt (* 1.75 pi) (* 2. (getvar 'TEXTSIZE)))

;;;     MTEXT poloha ručně
    (progn (initget 1) (trans (getpoint " --> Place text: ") 1 0))
    )
      (cons 1 txt)
      (cons 50 0)
      (cons 71 1)
      (cons 72 5)))

; varianta MLEADER      

      ;(command "_.MLEADER" "_non" (trans pnt 0 1) PAUSE txt)
      
      (setq *pl-n* (1+ *pl-n*))))
  (princ)
  )


Upravil johny - 22.lis.2017 v 15:39
Zpět nahoru
zdrk Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 03.kvě.2007
Lokalita: ČR (KV)
Používám:
Začínám bojovat s AutoCad 2015 respektive BDS 2015
Stav: Offline
Bodů: 1720
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace zdrk Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 22.lis.2017 v 10:45
Je několik aplikací už vytvořeno, stačí případně jen lehce poupravit.
Vkládá se blok nebo bod.
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 9492:VIPPřevod mračna bodů na 3D model (postup, tipy).
Tip 2083:VIPSnadný import XYZ souřadnic z Excelu do AutoCADu.
Tip 10455:Jak v AutoCADu nakreslit obdélník zadaný středem?
Tip 7217:Vyrovnání výkresu na více bodů (4, 5, 6...)
Tip 7307:Jak vložit obrázek AutoLISP makrem?
Tip 9062:Převrácení 3D ploch (rub/líc) v AutoCADu.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,375 sekund.